Subject: bug#73746: bug#73725: Master: Wrong position for byte compiler warning message.

From: Mattias Engdegård <[email-masked]>
Date: Wed, 23 Oct 2024 19:49:13 +0200

23 okt. 2024 kl. 13.22 skrev Alan Mackenzie <[email-masked]>:

> Hello, Stefan and Mattias.
> 
> I've incorporated your (Stafan's) suggestions from yesterday into the
> code.  See the patch below.

Thank you, I'll try to get some time to look at it -- a couple of quick notes:

- Isn't the code mutating the return value of a macro? I may be mistaken but surely it could be a constant.

- The unknown free variable warning which was the motivation of this issue should really be moved from codegen to the frontend (ie, cconv at present). Unless someone can think of a reason why it couldn't (I can't).

Sorry if these were mentioned in your discussion; I haven't read it through yet.